package com.patzn.lims.equip.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.equip.entity.LmsEquipMaintain;
import com.patzn.lims.equip.entity.LmsEquipMaintainDetail;
import com.patzn.lims.equip.vo.LmsEquipMaintainDetailVO;
import com.patzn.lims.equip.vo.LmsEquipMaintainVO;

/**
 * <p>
 * 仪器保养计划信息表 服务类
 * </p>
 *
 * @author wwd
 * @since 2020-03-28
 */
public interface ILmsEquipMaintainService extends IBaseService<LmsEquipMaintain> {

    Page<LmsEquipMaintain> page(Page<LmsEquipMaintain> page, LmsEquipMaintain lmsEquipMaintain);

    Page<LmsEquipMaintainVO> pageMaintain(Page<LmsEquipMaintainVO> page, LmsEquipMaintainVO vo);

    LmsEquipMaintainVO getTempVO();

    boolean updateAdd(Long []ids,LmsEquipMaintainDetail lmsEquipMaintainDetail);


    boolean saveBatchEquipId(Long[] ids, LmsEquipMaintainDetailVO lmsEquipMaintainDetail);


    boolean add(LmsEquipMaintain lmsEquipMaintain);


    boolean approve(String taskId, String status, String reason);


    LmsEquipMaintain selectOne(LmsEquipMaintain lmsEquipMaintain);



    boolean submit(Long id);

    LmsEquipMaintainVO getVOById(Long id);
}
